Bug 915346 - notify-send no longer works when executed remotely via SSH (in relation to DBUS_SESSION_BUS_ADDRESS)
notify-send no longer works when executed remotely via SSH (in relation to DB...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
: Reopened
: 869268 (view as bug list)
Depends On: 751355
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-25 10:00 EST by Jan Pokorný
Modified: 2016-12-20 07:36 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 751355
Environment:
Last Closed: 2016-12-20 07:36:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pokorný 2013-02-25 10:00:07 EST
+++ This bug was initially created as a clone of Bug #751355 +++

Yet again, notify-send suddenly stopped working for me over SSH in
an F17 installation.  Workaround for me was to add yet another env
variable (beside XAUTHORITY and DISPLAY currently used):

> export $(cat /proc/$(pidof openbox)/environ | xargs -0 -I '{}' echo '{}' \
>   | grep DBUS_SESSION)

This will export DBUS_SESSION_BUS_ADDRESS so remote notify-send will
not try to communicate with D-Bus for another session (new?), but rather
will connect to the main one related to my desktop session.

Despite this might be a good step security-wise (enforcing separation of
D-Bus sessions), this is clearly a regression.  Admittedly, this regression
may have been introduced completely outside the scope of notify-send
(libnotify), however notify-send is the final component suffering from
this in the user's eyes.


- on the target machine where I run notify-send (through SSH session):
$ rpm -q libnotify notification-daemon dbus openssh
libnotify-0.7.5-1.fc17.x86_64
notification-daemon-0.7.4-1.fc17.x86_64
dbus-1.4.10-7.fc17.x86_64
openssh-5.9p1-28.fc17.x86_64

# grep -e "libnotify" -e "notification-daemon" -e "dbus" -e "openssh" \
  /var/log/yum.log
Feb 25 15:05:23 Installed: libnotify-0.7.5-1.fc17.x86_64


- on the machine I'm ssh'ing from:
$ rpm -q openssh
openssh-5.3p1-81.el6_3.x86_64
Comment 1 Dan Mashal 2013-03-01 22:42:19 EST
This was changed by dbus maintainers/upstream on purpose.
Comment 2 Dan Mashal 2013-03-01 22:43:58 EST
*** Bug 869268 has been marked as a duplicate of this bug. ***
Comment 3 Fedora End Of Life 2013-04-03 13:59:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Jan Pokorný 2013-06-26 16:54:57 EDT
Hm, strange.  Now I'm able to run against both F17 and F18:

  ssh $HOST 'DISPLAY=:0 notify-send foo'

i.e., no explicit setting of XAUTHORITY nor DBUS_SESSION_BUS_ADDRESS
(checked also env) ... and it works.

Might be related to my previous experiments with dbus-launch, but this
behavior persisted even if I killed all recent processes containing
"dbus".
Comment 5 Jan Pokorný 2013-06-26 17:15:11 EDT
... or might be related to something not being settled properly upon
libnotify update (cf. bug creation date and the grep'd line from
/var/log/yum.log in CET/+0200).
Comment 6 Matthew Davis 2015-01-07 15:14:56 EST
Just hit this issue on a newly installed F21. I have a remote notify script which uses notify-send over ssh that worked in F20. Now it no longer works. I can verify doing manual commands too.

What works - local notify-send

1 - open terminal
2 - Run 'notify-send test'
3 - See test message on local screen

What doesn't - remote login notify-send

1 - from a remote host, ssh into the local box as the locally logged in user (in fact ssh@localhost works too)
2 - Run 'notify-send test'
3 - No message

Even attempted setting $DISPLAY with no luck.

Verions:
libnotify-0.7.6-4.fc21.x86_64
Comment 7 Fedora End Of Life 2015-11-04 09:03:48 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-12-01 21:44:07 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Matthew Davis 2015-12-02 08:52:42 EST
Reproduced on F23
Comment 10 Fedora End Of Life 2016-11-24 05:56:54 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Matthew Davis 2016-11-29 13:21:44 EST
I was unable to reproduce this on F25. Seems to be fixed there.
Comment 12 Fedora End Of Life 2016-12-20 07:36:09 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.